#include <bits/stdc++.h>

using namespace std;
bool nto(long long n)
{
    if(n<2)
        return false;
    for(int i=2;i*i<=n;i++)
        if(n%i==0)
        return false;
    return true;
}
long long t,n;
int ans=INT_MAX;
int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie();cout.tie();
    freopen("CAU3.inp","r",stdin);
    freopen("CAU3.out","w",stdout);
    cin>>t;
    while(t--)
    {
        cin>>n;
        ans=0;
        for(int i=100000;i>=n;i--)
            if(nto(i)&&i>=n)
                ans=i;
        cout<<ans<<endl;
    }
    return 0;
}
